Package de.gebit.integrity.runner

## Class IntegrityRunnerModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - de.gebit.integrity.AbstractDSLRuntimeModule
        - - de.gebit.integrity.DSLRuntimeModule
          - - de.gebit.integrity.runner.IntegrityRunnerModule

- All Implemented Interfaces:
    `com.google.inject.Module`

      public class IntegrityRunnerModule
      extends DSLRuntimeModule

  The module class for registration of runtime modules with Google Guice. Subclass this class in order to override one or more of the default services! If you subclass this, you need to subclass `IntegrityDSLSetup` as well and override `IntegrityDSLSetup.createGuiceModule(ClassLoader)` to ensure your subclass is actually used.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from class de.gebit.integrity.AbstractDSLRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityRunnerModule()` | Creates a new instance with the default classloader.
    `IntegrityRunnerModule​(ClassLoader aClassLoader)` | Creates a new instance using the given classloader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<? extends AggregatingFixtureLogger>` | `bindAggregatingFixtureLogger()` | Binds the `AggregatingFixtureLogger`.
    `Class<? extends ConsoleInterceptionAggregator>` | `bindConsoleInterceptionAggregator()` | Binding of the `ConsoleInterceptionAggregator`.
    `Class<? extends ConsoleOutputInterceptor>` | `bindConsoleOutputInterceptor()` | Binding of the `ConsoleOutputInterceptor`.
    `Class<? extends FixtureLogger>` | `bindFixtureLogger()` | Binds the `FixtureLogger`.
    `Class<? extends IntegrityClassLoader>` | `bindIntegrityClassLoader()` | Binding of the `IntegrityClassLoader`.
    `Class<? extends ModelChecker>` | `bindModelChecker()` | Binding of the `ModelChecker`.
    `Class<? extends ProcessTerminator>` | `bindProcessWatchdog()` | Binding of the `ProcessTerminator`.
    `Class<? extends ResultComparator>` | `bindResultComparator()` | Binding of the `ResultComparator`.
    `Class<? extends TestModel>` | `bindTestModel()` | Binding of the `TestModel`.
    `Class<? extends TestRunner>` | `bindTestRunner()` | Binding of the `TestRunner`.
    `Class<? extends TestRunnerPerformanceLogger>` | `bindTestRunnerPerformanceLogger()` | Binds the `TestRunnerPerformanceLogger`.
    `Class<? extends TestTimeAdapter>` | `bindTestTimeAdapter()` | Binds the `TestTimeAdapter`.
    `Class<? extends VariableManager>` | `bindVariableManager()` | Binding of the `VariableManager`.
    `Class<? extends WrapperFactory>` | `bindWrapperFactory()` | Binding of the `WrapperFactory`.

    - ### Methods inherited from class de.gebit.integrity.DSLRuntimeModule

      `bindClassLoaderToInstance, bindConversionContext, bindIDefaultResourceDescriptionStrategy, bindIResourceClusteringPolicy, bindIScopeProvider, bindIValueConverterService, bindModelSourceExplorer, bindParameterResolver, bindStandardOperationProcessor, bindValueConverter, configureIScopeProviderDelegate, configureRuntimeEncodingProvider`

    - ### Methods inherited from class de.gebit.integrity.AbstractDSLRuntimeModule

      `bindDSLJavaValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIFormatter, bindIGenerator, bindIGlobalScopeProvider, bindIGrammarAccess, bindIParser, bindIQualifiedNameProvider, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsPersisted, configureLanguageName, configureRuntimeLexer, provideInternalDSLLexer`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureIsAffectedExtensions, configureLinkingIScopeProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrityRunnerModule

          public IntegrityRunnerModule()

      Creates a new instance with the default classloader.

    - #### IntegrityRunnerModule

          public IntegrityRunnerModule​(ClassLoader aClassLoader)

      Creates a new instance using the given classloader.
      Parameters:
        `aClassLoader` -

  - ### Method Detail

    - #### bindTestRunner

          public Class<? extends TestRunner> bindTestRunner()

      Binding of the `TestRunner`.

    - #### bindTestModel

          public Class<? extends TestModel> bindTestModel()

      Binding of the `TestModel`.

    - #### bindVariableManager

          public Class<? extends VariableManager> bindVariableManager()

      Binding of the `VariableManager`.

    - #### bindWrapperFactory

          public Class<? extends WrapperFactory> bindWrapperFactory()

      Binding of the `WrapperFactory`.

    - #### bindResultComparator

          public Class<? extends ResultComparator> bindResultComparator()

      Binding of the `ResultComparator`.

    - #### bindProcessWatchdog

          public Class<? extends ProcessTerminator> bindProcessWatchdog()

      Binding of the `ProcessTerminator`.
      Returns:

    - #### bindConsoleInterceptionAggregator

          public Class<? extends ConsoleInterceptionAggregator> bindConsoleInterceptionAggregator()

      Binding of the `ConsoleInterceptionAggregator`.
      Returns:

    - #### bindConsoleOutputInterceptor

          public Class<? extends ConsoleOutputInterceptor> bindConsoleOutputInterceptor()

      Binding of the `ConsoleOutputInterceptor`.
      Returns:

    - #### bindIntegrityClassLoader

          public Class<? extends IntegrityClassLoader> bindIntegrityClassLoader()

      Binding of the `IntegrityClassLoader`.
      Returns:

    - #### bindModelChecker

          public Class<? extends ModelChecker> bindModelChecker()

      Binding of the `ModelChecker`.
      Returns:

    - #### bindTestRunnerPerformanceLogger

          public Class<? extends TestRunnerPerformanceLogger> bindTestRunnerPerformanceLogger()

      Binds the `TestRunnerPerformanceLogger`.
      Returns:

    - #### bindTestTimeAdapter

          public Class<? extends TestTimeAdapter> bindTestTimeAdapter()

      Binds the `TestTimeAdapter`.
      Returns:

    - #### bindAggregatingFixtureLogger

          public Class<? extends AggregatingFixtureLogger> bindAggregatingFixtureLogger()

      Binds the `AggregatingFixtureLogger`.
      Returns:

    - #### bindFixtureLogger

          public Class<? extends FixtureLogger> bindFixtureLogger()

      Binds the `FixtureLogger`.
      Returns: